package com.muyu.client.basic;

import com.muyu.common.core.domain.Result;
import com.muyu.etl.domain.DataValue;
import com.muyu.rule.common.domain.DataValueFie;
import com.muyu.rule.common.domain.DataValueRow;
import com.muyu.rule.common.domain.DataValueRows;
import com.muyu.rule.common.domain.RuleEngineVersion;

public interface RuleConfig {
    public Result<RuleEngineVersion> findVersionById( Long id);

    public Result<DataValue> testEngine(String className, DataValueFie dataValue);
    public Result<DataValue[]> testEngine(String className, DataValueRow dataValue);
    public Result<DataValue[][]> DataSetEngine(String className, DataValueRows dataValues);
}
